> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get task details

POST https://example.itential.io/automation-studio/multipleTaskDetails
Content-Type: application/json

Get the detailed information model for a task.

Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/get-task-details

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Body (application/json)

This endpoint expects an object.

- `inputsArray` (list of object, optional)
  - `location` (string, optional) — Location: Application, Broker, Adapter
  - `pckg` (string, optional) — Package name
  - `method` (string, optional) — Method name

## Response

### 200

Detailed information on a task

- `list of object`
  - `location` (enum, required)
    - Allowed values: `Application`, `Adapter`, `Broker`
  - `name` (string, required)
  - `app` (string, required)
  - `variables` (object, required)
    - `incoming` (map from string to object, optional)
      - `type` (enum, optional)
        - Allowed values: `string`, `number`, `array`, `object`, `enum`, `boolean`, `*`
      - `description` (string, optional)
      - `schema` (object, optional)
    - `outgoing` (map from string to object, optional)
      - `type` (enum, optional)
        - Allowed values: `string`, `number`, `array`, `object`, `enum`, `boolean`, `*`
      - `description` (string, optional)
      - `schema` (object, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
[
  {
    "location": "Application",
    "name": "query",
    "app": "WorkFlowEngine",
    "variables": {
      "incoming": {},
      "outgoing": {}
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/automation-studio/multipleTaskDetails"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/automation-studio/multipleTaskDetails';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/automation-studio/multipleTaskDetails"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/automation-studio/multipleTaskDetails")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.itential.io/automation-studio/multipleTaskDetails")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.itential.io/automation-studio/multipleTaskDetails', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/automation-studio/multipleTaskDetails");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/multipleTaskDetails")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```